#charset "UTF-8"

#include <tads.h>
#include <file.h>
#include <date.h>
#include <charset.h>

main()
{
	local b0 = nil;
	local b1;
    
    "A test game for XTads.";
    "\bGrid banner with text/bg color";

    b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeTextGrid, BannerAlignTop,
                       50, BannerSizePercent,
                       0);
    //bannerSetScreenColor(b1, ColorRGB(100, 100, 100));

    bannerSetTextColor(b1, ColorWhite, ColorRed);
	 bannerSay(b1, 'white-on-red');
	 
    bannerSetTextColor(b1, ColorWhite, ColorTransparent);
	 bannerSay(b1, '  white-on-transparent');
    
    bannerSetTextColor(b1, ColorWhite, ColorBlue);
	 bannerSay(b1, '  white-on-blue');
	 
    bannerSetTextColor(b1, ColorYellow, ColorTransparent);
	 bannerSay(b1, '  yellow-on-transparent');
        
    bannerSetTextColor(b1, ColorWhite, ColorBlue);
	 bannerSay(b1, '  white-on-blue\n');
    
    bannerSetTextColor(b1, ColorYellow, ColorBlue);
	 bannerSay(b1, 'yellow-on-blue');

    "\bPress another key to exit...\n";
    inputKey();
}
